# `OpenMPI_jll.jl` (v4.1.5+0)

[![deps](https://juliahub.com/docs/OpenMPI_jll/deps.svg)](https://juliahub.com/ui/Packages/OpenMPI_jll/UdERG?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/2449e5707840f1d53f0017205b462ce23d556972/O/OpenMPI/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `OpenMPI_jll.jl` have been built from these sources:

* compressed archive: https://download.open-mpi.org/release/open-mpi/v4.1/openmpi-4.1.5.tar.gz (SHA256 checksum: `c018b127619d2a2a30c1931f316fc8a245926d0f5b4ebed4711f9695e7f70925`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/2449e5707840f1d53f0017205b462ce23d556972/O/OpenMPI/bundled)

## Platforms

`OpenMPI_jll.jl` is available for the following platforms:

* `macOS aarch64 {libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-apple-darwin-libgfortran5-mpi+openmpi`)
* `Linux aarch64 {libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran3-mpi+openmpi`)
* `Linux aarch64 {libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran4-mpi+openmpi`)
* `Linux aarch64 {libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran5-mpi+openmpi`)
* `Linux aarch64 {libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran3-mpi+openmpi`)
* `Linux aarch64 {libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran4-mpi+openmpi`)
* `Linux aarch64 {libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran5-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran3-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran4-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran5-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran3-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran4-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran5-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran3-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran4-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran5-mpi+openmpi`)
* `Linux i686 {libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran3-mpi+openmpi`)
* `Linux i686 {libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran4-mpi+openmpi`)
* `Linux i686 {libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran5-mpi+openmpi`)
* `Linux i686 {libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran3-mpi+openmpi`)
* `Linux i686 {libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran4-mpi+openmpi`)
* `Linux i686 {libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran5-mpi+openmpi`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran3-mpi+openmpi`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran4-mpi+openmpi`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran5-mpi+openmpi`)
* `macOS x86_64 {libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-apple-darwin-libgfortran3-mpi+openmpi`)
* `macOS x86_64 {libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-apple-darwin-libgfortran4-mpi+openmpi`)
* `macOS x86_64 {libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-apple-darwin-libgfortran5-mpi+openmpi`)
* `Linux x86_64 {libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran3-mpi+openmpi`)
* `Linux x86_64 {libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran4-mpi+openmpi`)
* `Linux x86_64 {libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran5-mpi+openmpi`)
* `Linux x86_64 {libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran3-mpi+openmpi`)
* `Linux x86_64 {libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran4-mpi+openmpi`)
* `Linux x86_64 {libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran5-mpi+openmpi`)
* `FreeBSD x86_64 {libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-unknown-freebsd-libgfortran3-mpi+openmpi`)
* `FreeBSD x86_64 {libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-unknown-freebsd-libgfortran4-mpi+openmpi`)
* `FreeBSD x86_64 {libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-unknown-freebsd-libgfortran5-mpi+openmpi`)

## Dependencies

The following JLL packages are required by `OpenMPI_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`MPIPreferences`](https://github.com/JuliaBinaryWrappers/MPIPreferences.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libmpi`
* `ExecutableProduct`: `mpiexec`
